%global octpkg octcdf

Name:           octave-%{octpkg}
Version:        1.1.8
Release:        1%{?dist}
Summary:        A NetCDF interface for octave
Group:          Applications/Engineering
License:        GPLv2+
URL:            http://octave.sourceforge.net/octcdf/
Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz

BuildRequires:  octave-devel  
BuildRequires:  netcdf-devel

Requires:       octave(api) = %{octave_api}
Requires(post): octave
Requires(postun): octave
Obsoletes:      octave-forge <= 20090607


%description
A NetCDF interface for octave.

%prep
%setup -q -n %{octpkg}

%build
%octave_pkg_build

%install
%octave_pkg_install

%post
%octave_cmd pkg rebuild

%preun
%octave_pkg_preun

%postun
%octave_cmd pkg rebuild

%files
%{octpkglibdir}
%dir %{octpkgdir}
%doc %{octpkgdir}/doc-cache
%{octpkgdir}/*.m
%{octpkgdir}/@ncatt/
%{octpkgdir}/@ncdim/
%{octpkgdir}/@ncfile/
%{octpkgdir}/@ncvar/
%{octpkgdir}/packinfo


%changelog
* Tue Jul 07 2015 Orion Poplawski <orion@cora.nwra.com> - 1.1.8-1
- Update to 1.1.8

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.1.7-4
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Feb 17 2014 Orion Poplawski <orion@cora.nwra.com> 1.1.7-1
- Update to 1.1.7

* Sun Dec 29 2013 Orion Poplawski <orion@cora.nwra.com> - 1.1.6-3
- Rebuild for octave 3.8.0

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat May 11 2013 Orion Poplawski <orion@cora.nwra.com> 1.1.6-1
- Update to 1.1.6

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jul 3 2012 Orion Poplawski <orion@cora.nwra.com> 1.1.5-1
- Update to 1.1.5

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.4-2
- Rebuilt for c++ ABI breakage

* Thu Feb 23 2012 Orion Poplawski <orion@cora.nwra.com> 1.1.4-1
- Update to 1.1.4

* Thu Feb 9 2012 Orion Poplawski <orion@cora.nwra.com> 1.1.3-1
- Update to 1.1.3

* Mon Jan 16 2012 Orion Poplawski <orion@cora.nwra.com> 1.1.2-4.svn9526
- Rebuild for octave 3.6.0
- Update to latest svn to fix build issues

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Aug 8 2011 Orion Poplawski <orion@cora.nwra.com> 1.1.2-2
- Rebuild for octave 3.4.2

* Tue Apr 05 2011 Orion Poplawski <orion@cora.nwra.com> 1.1.2-1
- initial package for Fedora
